CREATE USER kurse IDENTIFIED BY pwkurse;
GRANT DBA TO kurse;
CONNECT kurse/pwkurse

CREATE TABLE tbPerson (
PID int NOT NULL PRIMARY KEY,
Familienname varchar(50) NOT NULL,
Vorname varchar(50) NULL,
PLZ char(5) NULL,
Strasse varchar(50) NULL,
Ort varchar(50) DEFAULT 'Celle',
Geburtsdatum date);

CREATE TABLE tbKursthema (
KTHID int NOT NULL PRIMARY KEY,
Kursthema varchar(255) NOT NULL,
Kursbeschreibung varchar(255) NULL,
Kursdemo char(5) NULL,
DauerPlan int NULL,
Voraussetzung int NULL);

CREATE TABLE tbKurs (
KID char(10) NOT NULL PRIMARY KEY,
Kurskennung char(50) NOT NULL,
KTHID int NOT NULL,
KursdauerStunden int NULL,
Kursbeginn date NULL,
Kursende date NULL,
Zertifikat char(50) NULL,
Gebuehr float NULL,
Ustpflichtig char,
DID int NULL);

CREATE TABLE tbKursbesuche (
KBID int NOT NULL PRIMARY KEY,
KTID int NOT NULL,
KID char(10) NOT NULL,
Fehltage number(4) DEFAULT 0,
Zeugnis char DEFAULT 'N',
Selbstzahler char DEFAULT 'J',
Zahlweise char(12),
Rabatt float DEFAULT 0.00,
GezahlterBetrag float DEFAULT 0.00);

CREATE TABLE tbDozent (
DID int NOT NULL PRIMARY KEY,
PID int NOT NULL,
Beschaeftigungsbeginn date NULL,
Stundensatz float NULL,
Firma char(50) NULL,
Titel char(50) NULL,
Qualifikationen varchar(255) NULL);

exit 